function set_mouse_over(e) {
	e.bgColor = '#FFFFDF';
}
function set_mouse_out(e){
	e.bgColor = '#ffffff';
}

function $$(id) { return document.getElementById(id); } 
function $N(id) { return document.getElementsByName(id); } 
String.prototype.trim = function() { return this.replace(/(^\s*)|(\s*$)/g, ""); }
var jsClass = {
	alert: function(url, ts, w, h) {
		var pop = new Popup({ contentType: 1, isReloadOnClose: false, width: w, height: h });
		pop.setContent("title", ts);
		pop.setContent("contentUrl", url);
		pop.build();
		pop.show();
		return false;
	},
	toUrl: function(url, str) {
		location.href = url + '?' + str;
	},
	_COPYURL: function(_str) {
		var text = "";
		text = document.location.href + "\n" + _str;
		window.clipboardData.setData("Text", text);
		alert("已经复制成功，您可以用 Ctrl + V 粘贴到QQ,MSN上发送给好友分享了！");
	},
	change_ValidateCode: function(id, Type) {
		if (Type == "one") {
			var obj = $$(id);
			obj.src = 'ValidateCode.aspx' + '?6=' + Math.ceil(Math.random() * 99999);
		}
		else if (Type == "too") {
			var obj = $$(id);
			obj.src = '../ValidateCode.aspx' + '?6=' + Math.ceil(Math.random() * 99999);
		}
	},
	chkso: function() {
		if ($$("str").value.trim() != "") {
			return true;
		}
		alert("搜索关键字不能为空!")
		return false;
	},
	delTempFavorite: function() {
		returnValue = confirm('您确定要清空临时书架吗？注意：此操作不可恢复，请谨慎操作！');
		if (returnValue) {
			jsClass.toUrl("deltempfavorite.aspx", '');
		}
	},
	ckUlogin: function() {
		if ($$("uname").value.trim() != "" && $$("upass").value.trim() != "") {
			return true;
		}
		alert("用户名和密码不能为空!")
		return false;
	}
}





function addCookie() { // 加入收藏夹
	if (document.all) {
		window.external.addFavorite('http://www.126shu.com', '126书盟 - 最快的小说搜索聚合');
	} else if (window.sidebar) {
		window.sidebar.addPanel('126书盟 - 最快的小说搜索聚合', 'http://www.126shu.com', "");
	}
}

function addCookie2() {
	try {
		window.external.AddFavorite('http://www.126shu.com', '126书盟 - 最快的小说搜索聚合');
	} catch (e) {
		(window.sidebar) ? window.sidebar.addPanel('126书盟 - 最快的小说搜索聚合', 'http://www.126shu.com', '') : alert('请使用按键 Ctrl+d，收藏126书盟 - 最快的小说搜索聚合');
	}
}

function setHomepage() { // 设置首页
	if (document.all) {
		document.body.style.behavior = 'url(#default#homepage)';
		document.body.setHomePage('http://www.126shu.com');
	} else if (window.sidebar) {
		if (window.netscape) {
			try {
				netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
			} catch (e) {
				alert("该操作被浏览器拒绝，如果想启用该功能，请在地址栏内输入 about:config,然后将项 signed.applets.codebase_principal_support 值该为true");
			}
		}
		var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
		prefs.setCharPref('browser.startup.homepage', 'http://www.126shu.com');
	}
}